GDBserver

Functions | Variables
linux-x86-tdesc.c File Reference
`#include "server.h"`
`#include "tdesc.h"`
`#include "linux-x86-tdesc.h"`
`#include "arch/i386.h"`
`#include "common/x86-xstate.h"`

Go to the source code of this file.

## Functions
static enum x86_linux_tdesc | xcr0_to_tdesc_idx (uint64_t xcr0, bool is_x32)
const struct target_desc * | i386_linux_read_description (uint64_t xcr0)
int | i386_get_ipa_tdesc_idx (const struct target_desc *tdesc)

## Variables
static struct target_desc * | i386_tdescs [X86_TDESC_LAST] = { }

## Function Documentation

## ◆ i386_get_ipa_tdesc_idx()

int i386_get_ipa_tdesc_idx | ( | const struct target_desc * | tdesc | ) |

Definition at line 142 of file linux-x86-tdesc.c.

References i386_tdescs, X86_TDESC_LAST, and X86_TDESC_MMX.

Referenced by x86_get_ipa_tdesc_idx().

## ◆ i386_linux_read_description()

const struct target_desc* i386_linux_read_description | ( | uint64_t | xcr0 | ) |

Definition at line 78 of file linux-x86-tdesc.c.

References i386_tdescs, init_target_desc(), X86_TDESC_LAST, and xcr0_to_tdesc_idx().

Referenced by get_ipa_tdesc(), selftests::tdesc::i386_tdesc_test(), initialize_low_arch(), initialize_low_tracepoint(), and x86_linux_read_description().

## ◆ xcr0_to_tdesc_idx()

static enum x86_linux_tdesc xcr0_to_tdesc_idx | ( | uint64_t | xcr0,
|  | bool | is_x32
| ) |  |
| static

Definition at line 33 of file linux-x86-tdesc.c.

References X86_TDESC_AVX, X86_TDESC_AVX_AVX512, X86_TDESC_AVX_MPX, X86_TDESC_AVX_MPX_AVX512_PKU, X86_TDESC_LAST, X86_TDESC_MMX, X86_TDESC_MPX, X86_TDESC_SSE, X86_XSTATE_AVX, X86_XSTATE_AVX512, X86_XSTATE_AVX_MPX_MASK, X86_XSTATE_MPX, X86_XSTATE_PKRU, X86_XSTATE_SSE, and X86_XSTATE_X87.

Referenced by i386_linux_read_description().

## Variable Documentation

## ◆ i386_tdescs

struct target_desc* i386_tdescs[X86_TDESC_LAST] = { }
| static

Definition at line 71 of file linux-x86-tdesc.c.

Referenced by i386_get_ipa_tdesc_idx(), and i386_linux_read_description().